Subject: Re: [PATCH] powerpc/cell: fix dependency in cpufreq

From: Michael Neuling <[email-masked]>
Date: Tue, 10 Feb 2009 12:48:46 +1100

> > cbe_cpufreq.c uses cbe_cpufreq_has_pmi which is provided by
> > cbe_cpufreq_pmi.c.  Hence CBE_CPUFREQ depends on CBE_CPUFREQ_PMI.
> >=20
> > Signed-off-by: Michael Neuling <[email-masked]>
> > ---
> > I'm not 100% sure is this the right fix.  Should CBE_CPUFREQ really
> > depend on CBE_CPUFREQ_PMI?
> 
> No I don't think it is. Look at platforms/cell/cbe_cpufreq.h, the
> intention seems to be that if PMI isn't built in then that variable is
> hardcoded to 0 and we never use the pmi routines.

---
#if defined(CONFIG_CBE_CPUFREQ_PMI) || defined(CONFIG_CBE_CPUFREQ_PMI_MODULE)
extern bool cbe_cpufreq_has_pmi;
#else
#define cbe_cpufreq_has_pmi (0)
#endif
--

So, I think this is bust.  If cpufreq_pmi is in a module, how does
cpufreq use cbe_cpufreq_has_pmi if the module is not inserted?  

Arnd?

Mikey